# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/bison /usr/bin/expect /usr/bin/m4 /usr/bin/makeinfo /usr/bin/runtest flex gcc-c++ libelf-devel perl(Exporter.pm)
# END SourceDeps(oneline)
%define target avr

Name:           %{target}-gdb
Version:        7.1
Release:        alt1_7
Summary:        GDB for (remote) debugging %{target} binaries
Group:          Development/Tools
License:        GPLv2+
URL:            http://sources.redhat.com/gdb/
Source0:        http://ftp.gnu.org/gnu/gdb/gdb-%{version}.tar.bz2
Source1:        README.fedora
BuildRequires:  ncurses-devel
Provides: bundled(libiberty)
Source44: import.info

%description
This is a special version of GDB, the GNU Project debugger, for (remote)
debugging %{target} binaries. GDB allows you to see what is going on
inside another program while it executes or what another program was doing at
the moment it crashed. 


%prep
%setup -q -c
cp %{SOURCE1} .


%build
mkdir -p build
pushd build
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" \
  ../gdb-%{version}/configure --prefix=%{_prefix} \
  --libdir=%{_libdir} --mandir=%{_mandir} --infodir=%{_infodir} \
  --target=%{target} --disable-nls --disable-werror
make %{?_smp_mflags}
popd


%install
pushd build
make install DESTDIR=$RPM_BUILD_ROOT
popd

# we don't want these as we are a cross version
rm -r $RPM_BUILD_ROOT%{_infodir}
rm    $RPM_BUILD_ROOT%{_libdir}/libiberty.a
rm -r $RPM_BUILD_ROOT%{_datadir}/gdb
# Should not be installed
rm    $RPM_BUILD_ROOT%{_libdir}/libavr-sim.a

%files
%doc gdb-%{version}/COPYING* gdb-%{version}/README*
%{_bindir}/%{name}*
%{_bindir}/avr-run
%{_mandir}/man1/avr-*



%changelog
* Thu Apr 25 2013 Igor Vlasenko <viy@altlinux.ru> 7.1-alt1_7
- initial fc import

